sdif2ad
Prev | File Conversion (HET_IMPORT, HET_EXPORT, PVLOOK, PV_EXPORT, PV_IMPORT, SDIF2AD, SRCONV) | Next

## sdif2ad

sdif2ad — Converts SDIF files to files usable by adsyn.

## Description

Convert files Sound Description Interchange Format (SDIF) to the format usable by Csound's adsyn opcode. As of Csound version 4.10, sdif2ad was available only as a standalone program for Windows console and DOS.

## Syntax

    sdif2ad [flags] infilename outfilename

## Initialization

Flags:

- -sN -- apply amplitude scale factor N

- -pN -- keep only the first N partials. Limited to 1024 partials. The source partial track indices are used directly to select internal storage. As these can be arbitrary values, the maximum of 1024 partials may not be realized in all cases.

- -r -- byte-reverse output file data. The byte-reverse option is there to facilitate transfer across platforms, as Csound's adsyn file format is not portable.

If the filename passed to hetro has the extension “.sdif”, data will be written in SDIF format as 1TRC frames of additive synthesis data. The utility program sdif2ad can be used to convert any SDIF file containing a stream of 1TRC data to the Csound adsyn format. sdif2ad allows the user to limit the number of partials retained, and to apply an amplitude scaling factor. This is often necessary, as the SDIF specification does not, as of the release of sdif2ad, require amplitudes to be within a particular range. sdif2ad reports information about the file to the console, including the frequency range.

The main advantages of SDIF over the adsyn format, for Csound users, is that SDIF files are fully portable across platforms (data is “big-endian”), and do not have the duration limit of 32.76 seconds imposed by the 16 bit adsyn format. This limit is necessarily imposed by sdif2ad. Eventually, SDIF reading will be incorporated directly into adsyn, thus enabling files of any length (subject to system memory limits) to be analysed and processed.

Users should remember that the SDIF formats are still under development. While the 1TRC format is now fairly well established, it can still change.

For detailed information on the Sound Description Interchange Format, refer to the CNMAT website: http://cnmat.CNMAT.Berkeley.EDU/SDIF

Some other SDIF resources (including a viewer) are available via the NC_DREAM website: http://www.bath.ac.uk/~masjpf/NCD/dreamhome.html

## Credits

Author: Richard Dobson

Somerset, England

August, 2000

New in Csound version 4.08

Prev | Up | Next
pv_import | Home | srconv